POST
/
v3
/
10dlc
/
brands
/
{brand_id}
/
appeals
Appeal a 10DLC Brand identity verification
curl --request POST \
  --url https://api.wavix.com/v3/10dlc/brands/{brand_id}/appeals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "appeal_categories": [
    "VERIFY_TAX_ID"
  ],
  "evidence": [
    "855dff49-c097-4645-3983-08dcb9856232"
  ],
  "explanation": "Find the company incorporation docs attached and please review the Brand Identity status."
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

brand_id
string
required

The unique ID of the 10DLC Brand.

Pattern: ^B[A-Z0-9]{6}$
Example:

"BM20QP9"

Body

application/json

Appeal category and supporting documentation.

The appeal request

appeal_categories
enum<string>[]
required

List of appeal categories. Allowed values: VERIFY_TAX_ID, VERIFY_NON_PROFIT, VERIFY_GOVERNMENT

Available options:
VERIFY_TAX_ID,
VERIFY_NON_PROFIT,
VERIFY_GOVERNMENT
Example:
["VERIFY_TAX_ID"]
evidence
string[]
required

List of evidence IDs associated with the appeal.

Example:
["855dff49-c097-4645-3983-08dcb9856232"]
explanation
string

Appeal comment or justification.

Example:

"Find the company incorporation docs attached and please review the Brand Identity status."

Response

Returns the submitted appeal.

success
boolean
required

Indicates whether the request was successful.

Example:

true